Subject: bug#60923: 29.0.60; package-vc-install: Allow specifying directories

From: Mohammed Sadiq <[email-masked]>
Date: Tue, 14 Feb 2023 20:58:14 +0530

On 2023-02-14 01:29, Philip Kaludercic wrote:

> What does "ignore" mean in this context?

Ignore as in, the file is never kept in the installation directory.

> package.el already supports ignoring the contents of a .elpaignore 
> file,
> but all that does is remove a few files from the byte-compilation 
> process.

I tried installing pareedit, and it doesn't seem to work. I tried:
emacs --batch --eval='(package-vc-install 
"https://github.com/emacsmirror/paredit.git")'

The project contains .elpaignore, which specifies the file test.el,
but the file test.el is still compiled to test.elc.  Also, since
it is installed, I'm able to access functions like 
`paredit-test-failed'.

Or am I missing something obvious?